akonadi (4:21.08.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.1)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 09 Sep 2021 22:27:52 +0100

akonadi (4:21.08.0-0ubuntu2) impish; urgency=medium

  * Mark a symbol as optional.

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Aug 2021 19:52:26 +0100

akonadi (4:21.08.0-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.0)
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Aug 2021 08:56:07 +0100

akonadi (4:21.07.90-0ubuntu1) impish; urgency=medium

  * New upstream (RC) release (21.07.90)

 -- Rik Mills <rikmills@kde.org>  Mon, 02 Aug 2021 12:48:11 +0100

akonadi (4:21.07.80-0ubuntu1) impish; urgency=medium

  * New upstream (beta) release (21.07.80)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Mon, 19 Jul 2021 10:41:01 +0100

akonadi (4:21.04.3-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jul 2021 11:36:51 +0100

akonadi (4:21.04.2-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 10 Jun 2021 10:32:55 +0100

akonadi (4:21.04.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 May 2021 08:59:59 +0100

akonadi (4:21.04.0-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.0)
  * Refresh patches.

 -- Rik Mills <rikmills@kde.org>  Thu, 29 Apr 2021 01:27:30 +0100

akonadi (4:20.12.3-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Mar 2021 15:13:22 +0000

akonadi (4:20.12.2-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Feb 2021 09:47:49 +0000

akonadi (4:20.12.1-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 20 Jan 2021 23:05:52 +0000

akonadi (4:20.12.0-0ubuntu2) hirsute; urgency=medium

  * Add some optional symbols leaked from new boost library, fixes an FTBFS.

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 14 Jan 2021 18:14:20 +0000

akonadi (4:20.12.0-0ubuntu1) hirsute; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update installed files

  [ Rik Mills ]
  * New upstream release (20.12.0)
  * Update symbols from build logs.

  [ José Manuel Santamaría Lema ]
  * Add liblzma-dev to build depends

 -- Rik Mills <rikmills@kde.org>  Fri, 11 Dec 2020 14:20:43 +0000

akonadi (4:20.08.3-0ubuntu4) hirsute; urgency=medium

  * Also fix runtime dependencies, from Rik Mills

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 03 Dec 2020 21:47:21 +0100

akonadi (4:20.08.3-0ubuntu3) hirsute; urgency=medium

  * Rebuild against new mariadb-10.5.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 03 Dec 2020 21:40:35 +0100

akonadi (4:20.08.3-0ubuntu2) hirsute; urgency=medium

  * No-change rebuild against qtbase-abi-5-15-2.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Fri, 27 Nov 2020 18:52:31 +0300

akonadi (4:20.08.3-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.08.3)
  * Update postgresql-data-checksums.patch

 -- Rik Mills <rikmills@kde.org>  Wed, 11 Nov 2020 09:45:33 +0000

akonadi (4:20.08.1-0ubuntu2) hirsute; urgency=medium

  * No-change rebuild against qtbase-abi-5-15-1.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Fri, 30 Oct 2020 13:59:30 +0300

akonadi (4:20.08.1-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Sep 2020 13:47:00 +0100

akonadi (4:20.08.0-0ubuntu2) groovy; urgency=medium

  * Update symbols for riscv64.

 -- Rik Mills <rikmills@kde.org>  Wed, 26 Aug 2020 14:45:49 +0100

akonadi (4:20.08.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.0)
  * Drop included fix-apparmor-profiles.patch
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Wed, 26 Aug 2020 12:18:20 +0100

akonadi (4:19.12.3-0ubuntu7) groovy; urgency=medium

  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Fri, 14 Aug 2020 08:40:17 +0100

akonadi (4:19.12.3-0ubuntu6) groovy; urgency=medium

  * akonadi-server: Depend on alternative backends.
  * akonadi-backend-mysql: Depend on mariadb, as mysql-8 is not
    supported upstream.

 -- Rik Mills <rikmills@kde.org>  Thu, 13 Aug 2020 21:36:12 +0100

akonadi (4:19.12.3-0ubuntu5) groovy; urgency=medium

  * No-change rebuild against libkaccounts2.

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jul 2020 21:39:28 +0100

akonadi (4:19.12.3-0ubuntu4) groovy; urgency=medium

  * No-change rebuild against qtbase-abi-5-14-2.

 -- Rik Mills <rikmills@kde.org>  Sat, 16 May 2020 08:54:52 +0000

akonadi (4:19.12.3-0ubuntu3) groovy; urgency=medium

  * Update symbols for riscv64.

 -- Rik Mills <rikmills@kde.org>  Tue, 28 Apr 2020 15:12:22 +0100

akonadi (4:19.12.3-0ubuntu2) focal; urgency=medium

  * libkf5akonadicore-bin: Drop transitional depends on akonadi-server.
    This unnecessarily installs the whole server for apps that only
    require the core libs. (LP: #1872890)

 -- Rik Mills <rikmills@kde.org>  Wed, 15 Apr 2020 11:35:48 +0100

akonadi (4:19.12.3-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.3)
  * Refresh patches.
  * Move qdebug categories file to new location.
  * Move kdevappwizard templates to -dev package.
  * Move asapcat binary to -dev package.
  * Make libkf5akonadicore-bin package transitional, and move
    akonadiselftest binary to main akonadi-server package.
  * Move translations to new libkf5akonadi-data package.
  * Demote akonadi-backend-mysql to Recommends.
  * Follow Debian ABI bump:
    - libkf5akonadicore5abi1 -> libkf5akonadicore5abi2
  * Add optional build depends for kaccounts integration.
    - libaccounts-qt5-dev, libkaccounts-dev & libaccounts-glib-dev
  * Switch to using upstream provided apparmor profiles.
  * Add fix-apparmor-profiles.patch
  * Update install files.
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Sun, 12 Apr 2020 16:09:52 +0100

akonadi (4:19.04.3-0ubuntu6) focal; urgency=medium

  * No-change rebuild against qtbase-abi-5-12-8.

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Apr 2020 13:06:20 +0100

akonadi (4:19.04.3-0ubuntu5) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:09:29 +0100

akonadi (4:19.04.3-0ubuntu4) focal; urgency=medium

  * No-change rebuild againts qtbase-abi-5-12-5

 -- Rik Mills <rikmills@kde.org>  Sat, 26 Oct 2019 11:33:57 +0100

akonadi (4:19.04.3-0ubuntu3) eoan; urgency=medium

  * Drop build depend on obsolete package kdesignerplugin.

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 14 Sep 2019 12:42:59 +0100

akonadi (4:19.04.3-0ubuntu2) eoan; urgency=medium

  * Switch preferred akonadi-mysql-backend to mariadb. mysql-5.7 is
    now removed from Eoan, and akonadi is not currently compatible
    with mysql-8. Furthermore, upstream KDE development/developers
    actively support mariadb.

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 03 Sep 2019 19:02:46 +0100

akonadi (4:19.04.3-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.3)
  * Drop upstream applied patches.
  * Update symbols from build logs.
  * Update mysql backend apparmor profile.

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 23 Jul 2019 18:52:49 +0100

akonadi (4:18.12.3-0ubuntu4) eoan; urgency=medium

  * No-change rebuild against qtbase-abi-5-12-4.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Mon, 08 Jul 2019 14:35:48 +0300

akonadi (4:18.12.3-0ubuntu3) disco; urgency=medium

  * Apply two patches backported by upstream KDE to the 18.12 branch.
    Fixes a major regression which can cause already fetched mail to be
    re-downloaded on each mail check. Requires a rebuild of the rest of
    the KDE PIM stack once applied. (LP: #1822978)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 07 Apr 2019 17:10:14 +0100

akonadi (4:18.12.3-0ubuntu2) disco; urgency=medium

  * No change rebuild against qtbase-abi-5-12-2.

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 27 Mar 2019 14:32:46 +0000

akonadi (4:18.12.3-0ubuntu1) disco; urgency=medium

  * Bump soname with debianabimanager due to binary incompatible changes
    - libkf5akonadiprivate5abi1 -> libkf5akonadiprivate5abi2
  * Update symbols.
  * New upstream release (18.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 16 Mar 2019 15:03:15 +0000

akonadi (4:18.04.3-0ubuntu5) disco; urgency=medium

  * Follow Debian dropping of autotests.

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 07 Feb 2019 08:20:56 +0000

akonadi (4:18.04.3-0ubuntu4) disco; urgency=medium

  * No-change rebuild against qtbase-abi-5-11-3.

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 01 Jan 2019 21:36:46 +0000

akonadi (4:18.04.3-0ubuntu3) disco; urgency=medium

  * Rebuild against qtbase-abi-5-11-2.
  * Drop old sqlite workaround.

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 12 Nov 2018 14:33:38 +0000

akonadi (4:18.04.3-0ubuntu2) cosmic; urgency=medium

  * Update mysql backend apparmor profile. (LP: #1797643)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 13 Oct 2018 11:15:42 +0100

akonadi (4:18.04.3-0ubuntu1) cosmic; urgency=medium

  * Update symbols
  * New upstream release (18.03.80)
  * Update lintian overrides
  * Sync watchfile and copyright files with debian
  * Update standards, compat and debhelper versions
  * Add upstream signing key
  * New upstream release (18.04.0)
  * New upstream release (18.04.1)
  * New upstream release (18.04.3)
  * Drop upstream applied patch fixing build with Qt 5.11
  * As per debian, bump abi of:
    - libkf5akonadiprivate5 -> libkf5akonadiprivate5abi1
    - libkf5akonadiwidgets5 -> libkf5akonadiwidgeta5abi1
  * Update sqlite workaround for 5.11

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 21 Aug 2018 18:52:14 +0100

akonadi (4:17.12.3-0ubuntu5) cosmic; urgency=medium

  * Fix FTBFS with Qt 5.11.1.
  * Mark a symbol as optional.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 18 Jul 2018 07:54:49 -0500

akonadi (4:17.12.3-0ubuntu4) cosmic; urgency=medium

  * No-change rebuild against qtbase-abi-5-11-0.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 18 Jul 2018 03:20:22 -0500

akonadi (4:17.12.3-0ubuntu3) bionic; urgency=medium

  * No-change rebuild against qtbase-abi-5-9-5.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 14 Apr 2018 22:07:01 -0500

akonadi (4:17.12.3-0ubuntu2) bionic; urgency=medium

  * Add back akonadi-backend-postgresql dependency package, dropped in
    error in Artful. (LP: #1726112)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 02 Apr 2018 08:33:57 +0100

akonadi (4:17.12.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 16 Mar 2018 13:21:11 +0000

akonadi (4:17.12.2-0ubuntu2) bionic; urgency=medium

  * PIM/akonadi is already broken in -release. So see if we can trade
    this off against just breaking it for the sqlite backend, which we
    don't use by default anyway. To be reverted when Qt 5.9.4 migrates.

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 04 Mar 2018 16:19:30 +0000

akonadi (4:17.12.2-0ubuntu1) bionic; urgency=medium

  * New build depend on libkf5networkmanagerqt-dev
  * Install kdevappwizard templates 
  * Update symbols from build logs
  * New upstream release (17.11.80)
  * New upstream release (17.11.90)
  * New upstream release (17.12.0)
  * New upstream release (17.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 28 Feb 2018 09:42:59 +0000

akonadi (4:17.11.90-0ubuntu1) UNRELEASED; urgency=medium

  * New build depend on libkf5networkmanagerqt-dev
  * Install kdevappwizard templates 
  * Update symbols from build logs
  * New upstream release (17.11.80)
  * New upstream release (17.11.90)
  * Build dep on libboost-graph-dev

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 03 Dec 2017 10:54:17 +0000

akonadi (4:17.08.3-0ubuntu2) bionic; urgency=medium

  * Rebuild against new qtbase ABI 5.9.3.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 19 Dec 2017 10:37:48 +0100

akonadi (4:17.08.3-0ubuntu1) bionic; urgency=medium

  * Bump soname with debianabimanager due to binary incompatible changes
    Upstream commit 9a0e50db1c0696b1d920610ff239146cf04cf88a
    'ABI break: merge ItemSerializerPluginV2 into ItemSerializerPlugin'
    - libkf5akonadicore5 -> libkf5akonadicore5abi1
  * Refresh symbols and remove further missing on ABI bumped and private libs
  * Drop upstream applied upstream_fix_korganiser_reminders.patch
  * New upstream release (17.08.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 01 Dec 2017 14:59:45 +0000

akonadi (4:17.04.3-0ubuntu3) bionic; urgency=medium

  * debian/patches: Add upstream_fix_korganiser_reminders.patch
    Backport upstream fix for KDE Bug:384212 so the korganiser daemon
    can access and act on reminders (LP: #1730513)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 07 Nov 2017 12:44:50 +0000

akonadi (4:17.04.3-0ubuntu2) bionic; urgency=medium

  * No-change rebuild against qtbase5-private-dev.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 03 Nov 2017 17:13:17 -0500

akonadi (4:17.04.3-0ubuntu1) artful; urgency=low

  * New upstream release (17.04.1)
  * Install translations
  * Update symbols files.
  * New upstream release (17.04.2)
  * Don't run the akonadi isolated tests; these tests are right now very
    unreliable when executed with the autopkgtest tech, they tend to
    fail in different ways depending if they are executed locally or
    they are executed on the Ubuntu official infra, so right now it's
    not feasible for us to maintain them.
  * New upstream release (17.04.3)
  * Update symbols files.

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 21 Aug 2017 14:32:37 +0100

akonadi (4:16.12.3-0ubuntu3) artful; urgency=medium

  * Make libkf5akonadi-dev depend on the -dev package containing the header
    file which is hard-coded in std_exception.h at build-time (LP: #1709726)

 -- Balint Reczey <rbalint@ubuntu.com>  Wed, 09 Aug 2017 22:56:23 +0000

akonadi (4:16.12.3-0ubuntu2) artful; urgency=medium

  * Backport upstream commit eb5cf0fa46aecd77 to fix build with Qt 5.9.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Mon, 26 Jun 2017 15:30:09 +0300

akonadi (4:16.12.3-0ubuntu1) artful; urgency=medium

  [ Simon Quigley ]
  * Refresh symbols
  * New upstream release
  * Remove set_dependency_order.diff as it can now be reverse-applied
  * Refresh patches

  [ Clive Johnston ]
  * Add missing file
  * Adding libmysqlclient-dev or default-libmysqlclient-dev as build deps

  [ Rik Mills ]
  * Fix breaks, replaces and misc depends
  * New upstream release (16.12.0)
  * Correct symbols versions so not incorrectly showing a debian revison
  * Update build deps to use new KF5 style names
  * New upstream release (16.12.1)
  * Update symbols from build logs

  [ Darin Miller ]
  * New upstream release (16.12.2)

  [ José Manuel Santamaría Lema ]
  * New upstream release (16.12.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 01 May 2017 20:27:12 +0100

akonadi (4:16.04.3-0ubuntu3) UNRELEASED; urgency=medium

  [ Clive Johnston ]
  * Applying patches from Debian
    - postgresql-data-checksums.patch
    - set_dependency_order.diff
  * Enable and refresh Kubuntu patches
    - kubuntu_disable_secure_file_priv_check.diff
    - kubuntu_fix_mysql_db_creation_57.diff (LP: #1633855)

  [ José Manuel Santamaría Lema ]
  * Update Vcs-Git fields to use https:// instead of git://

 -- Clive Johnston <clivejo@kubuntu.org>  Thu, 27 Oct 2016 15:11:28 +0100

akonadi (4:16.04.3-0ubuntu2) yakkety; urgency=medium

  * Sync autopkgtests with debian.
  * Set _testrunner path to fix autotests.

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 06 Oct 2016 16:12:33 +0100

akonadi (4:16.04.3-0ubuntu1) yakkety; urgency=medium

  [ Scarlett Clark ]
  * New upstream release
  * Manual merge.
  * Add versions to dependencies. Fix merge.
  * Fix merger in patch.
  * Fix merge in series
  * Fix symbols file.
  * Debian merge: Remaining changes:
    mysql-server version. 
  * Fix duplicate packages from merge. 
  * Fix install files.
  * Fix spelling error in README 
  * Add MultiArch: same to akonadiprivate
  * Add missing files. 
  * Add akonadiserver to breaks and replaces. 
  * New upstream bugfix release

  [ Philip Muškovac ]
  * Update the Vcs URLs now that the repositories are hosted on
    Launchpad

  [ Clive Johnston ]
  * Temporarily disabled patches
  * New upstream release (16.04.2)
  * New upstream release (16.04.3)
  * Refreshing symbols

  [ Rik Mills ]
  * Install binaries in correct packages
  * Drop libakonadi-kde4 breaks/replaces - fixes installing kgpg
    calligra-libs & other packages

  [ José Manuel Santamaría Lema ]
  * Add in the rules file an override for dh_shlibdeps to exclude
    libkf5akonadicore-bin, this way we avoid a circular dependencies.

  [ Rik Mills ]
  * Update build dependencies
  * wrap-and-sort
  * Start transition of depends away from kdepimlibs combined package
  * Add libkf5akonadicontact-data depends to fully replace the old
    kdepimlibs-data package depends
  * New build depend on libkf5crash-dev

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 30 Sep 2016 06:32:58 +0200

akonadi (4:16.04.0-1~2.gbp37a307) UNRELEASED; urgency=medium

  ** SNAPSHOT build @37a3072507847cc0f38fd6f724acf36e2f2d8ef4 **

  [ Automatic packaging ]
  * Bump Standards-Version to 3.9.8
  * Refresh patches
  * Add a .gitattributes file to use dpkg-mergechangelogs
  * Update build-deps and deps with the info from cmake

  [ Maximiliano Curia ]
  * Pre-release 15.12.1-2~
  * Add missing dependency on mysql server core.
  * New upstream release (15.12.2).
  * Replace the "Historical name" ddeb-migration by its "Modern, clearer" replacement dbgsym-migration.
  * Add upstream metadata (DEP-12)
  * debian/control: Update Vcs-Browser and Vcs-Git fields
  * Add kgendesignerplugin as a build dep

  [ Scarlett Clark ]
  * 

 -- Maximiliano Curia <maxy@gnuservers.com.ar>  Sat, 23 Apr 2016 10:08:20 +0200

akonadi (4:15.12.3-0ubuntu6) xenial; urgency=medium

  * kubuntu_fix_mysql_db_creation_57.diff:
    Fix MySQL DB first run setup (LP: #1572100)
    (Thanks to Lars Tangvald for the patches)
  * Add DEP3 headers for kubuntu_disable_secure_file_priv_check.diff

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 20 Apr 2016 10:25:18 +0200

akonadi (4:15.12.3-0ubuntu5) xenial; urgency=medium

  * kubuntu_disable_secure_file_priv_check.diff:
    - Set secure_file_priv to empty as that directory is not set in a default
      kubuntu install

 -- Philip Muškovac <yofel@kubuntu.org>  Mon, 18 Apr 2016 15:24:43 +0200

akonadi (4:15.12.3-0ubuntu4) xenial; urgency=medium

  * Bring in Robie Basak commits made in launchpad...
  * Release to archive.

 -- Scarlett Clark <sgclark@kubuntu.org>  Sat, 16 Apr 2016 12:42:02 -0700

akonadi (4:15.12.3-0ubuntu1) xenial; urgency=medium

  * New upstream bugfix release
      * New upstream bugfix release

 -- Scarlett Clark <sgclark@kubuntu.org>  Thu, 14 Apr 2016 14:44:15 -0700

akonadi (15.12.1-1) experimental; urgency=medium

  * New upstream release (15.12.0).
  * New upstream release (15.12.1).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 01 Feb 2016 10:23:57 +0100

akonadi (4:15.12.1-0ubuntu4) xenial; urgency=medium

  * Depend on mysql-{server,client}-core-5.7, not 5.6, for the switch to
    MySQL 5.7.

 -- Robie Basak <robie.basak@ubuntu.com>  Tue, 12 Apr 2016 14:33:29 +0000

akonadi (4:15.12.1-0ubuntu3) xenial; urgency=medium

  * Rebuild against libmysqlclient20.

 -- Robie Basak <robie.basak@ubuntu.com>  Tue, 05 Apr 2016 12:11:54 +0000

akonadi (4:15.12.1-0ubuntu2) xenial; urgency=medium

  * Fix the broken debian merge:
    - make akonadi-backend-mysql a hard-dep for akonadi-server
    - make akonadi-backend-mysql dep on mysql server core

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 10 Mar 2016 13:16:40 +0100

akonadi (4:15.12.1-0ubuntu1) xenial; urgency=medium

  [ Clive Johnston ]
  * New upstream release

  [ Scarlett Clark ]
  * No changes, trigger rebuild.

  [ Philip Muškovac ]
  * Merge with debian git master
  * Add postgresql 9.5 support to postgresql9.4.patch and rename it to
    postgresql9.5.patch 
  * Adapt postgresql-data-checksums.patch and postgresql9.5.patch to code
    changes

  [ Scarlett Clark ]
  * No changes, trigger rebuild with new kolab. 
  * Fix unstable merge. 
  
  [ Clive Johnston ]
  * Adding new build deps
  * Fixing install files 

  [ Scarlett Clark ]
  * Add missing build dependencies (required and optional) 
  * Fix install location for -dev. 
  * Add the new libraries agentbase, core, widgets, xml and
    the relevant install files.  

  [ Clive Johnston ]
  * Adding install and symbol files which seem to be missing
    from previous commit
  * Fixing control file for libkf5akonadiserver-dev

  [ Scarlett Clark ]
  * Add breaks/replace to akonadi-server. Contains file migrated from
    kdepimlibs-bin. 

  [ Clive Johnston ]
  * Refreshing symbols
  * Adding qttools5-dev as a build dep
  * Adding akonadi5widgets.so to install file

  [ Scarlett Clark ]
  * Lower the breaks/replace to the version of failure for kdepimlibs-bin 

  [ Scarlett Clark ]
  * Lower the breaks/replace to the version of failure for kdepimlibs-bin 
  * Add breaks/replace in archive release. 
  * Fix merger. 
  * Use strictly earlier than current release on break/replace for kdepimlibs-bin. 
  * Merger fixing fun. weeeee. 

 -- Clive Johnston <clivejo@aol.com>  Wed, 09 Mar 2016 10:19:51 +0100

akonadi (15.08.3-1) experimental; urgency=medium

  * New upstream release (15.08.3).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 02 Dec 2015 12:39:44 +0100

akonadi (4:15.08.2-0ubuntu3) xenial; urgency=medium

  * Rebuild against Qt 5.5.1.

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Wed, 02 Dec 2015 12:20:00 +0200

akonadi (4:15.08.2-0ubuntu2) xenial; urgency=medium

  * Fix autopackagetests by adding allow-stderr to the requirements.

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 03 Nov 2015 15:34:26 +0100

akonadi (15.08.2-1) experimental; urgency=medium

  * New upstream release (15.08.2).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 16 Oct 2015 08:06:30 +0200

akonadi (4:15.08.2-0ubuntu1) wily; urgency=medium

  * Vivid backport
  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 14 Oct 2015 11:44:36 +0100

akonadi (4:15.08.1-0ubuntu1) wily; urgency=medium

  * New upstream release (15.08.1)

 -- Clive Johnston <clivejo@aol.com>  Tue, 22 Sep 2015 16:01:55 +0100

akonadi (15.08.1-1) experimental; urgency=medium

  * New upstream release (15.08.1).

 -- Maximiliano Curia <maxy@debian.org>  Sat, 19 Sep 2015 03:16:13 +0200

akonadi (15.08.0-1) experimental; urgency=medium

  * New upstream release (15.07.90).
  * New upstream release (15.08.0).
  * Remove upstream patches.
  * Refresh patches.
  * Update copyright file.

 -- Maximiliano Curia <maxy@debian.org>  Sat, 05 Sep 2015 21:41:58 +0200

akonadi (4:15.08.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 26 Aug 2015 16:52:58 +0100

akonadi (4:15.07.90-0ubuntu1) wily; urgency=medium

  * New upstream release
  * new upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Aug 2015 08:53:42 +0100

akonadi (1.13.0-8) unstable; urgency=medium

  * Team upload.
  * Update symbols files.

 -- Maximiliano Curia <maxy@debian.org>  Sat, 29 Aug 2015 00:41:28 +0200

akonadi (1.13.0-7) unstable; urgency=medium

  * Team upload.
  * Removed some patches introduced in previous upload due to regressions
    causing invalid SQL commands.

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 20 Jul 2015 12:30:32 +1000

akonadi (1.13.0-6) unstable; urgency=medium

  * Team upload.
  * New "upstream-MOVEcomplete.patch" (fixes deadlock).
  * Bunch of optimisation patches from upstream 1.13 branch.
  * Install "akonadictl.1" man page.
  * copyright: reviewed, converted to copyright-format-1.0 and updated.

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 20 Jul 2015 03:26:42 +1000

akonadi (1.13.0-5) unstable; urgency=medium

  * Team upload.
  * New upstream patches:
    + upstream-use-QAtomicInt.patch
    + upstream-prevent-QTimer-negative-interval.patch
  * Initialise PSQL database with "--data-checksums" (Closes: #791807).
  * Build-Depends: removed "mysql-server-core" (not needed on build time).

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 19 Jul 2015 20:31:33 +1000

akonadi (1.13.0-4) unstable; urgency=medium

  * Team upload.
  * backend-mysql: depend on MySQL-5.6 or any MySQL flavour (Closes: #746651)
    Depends:
    - mysql-server-core-5.5 | mysql-server-core
    + mysql-server-core-5.6 | virtual-mysql-server-core
  * Standards-Version: 3.9.6.
  * xs-testsuite-header-in-debian-control: removed "XS-Testsuite" header.
  * Updated Vcs-Browser URL.
  * Patches renamed to consistently end with ".patch".
  * New patch to add PostgreSQL 9.4 search path (Closes: #791805).

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 13 Jul 2015 23:56:38 +1000

akonadi (1.13.0-3) unstable; urgency=medium

  * Team upload.
  * Apply upstream_dont_leak_old_external_payload_files.patch which fixes a bug
    that let old files be kept when they should be removed.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 30 Jun 2015 12:03:32 -0300

akonadi (1.13.0-2ubuntu5) wily; urgency=medium

  * No change rebuild for boost1.58/libstdc++6.

 -- Dimitri John Ledkov <dimitri.j.ledkov@linux.intel.com>  Sun, 02 Aug 2015 11:57:02 +0100

akonadi (1.13.0-2ubuntu4) vivid; urgency=medium

  * debian/rules: re-enable the override_dh_installinit target, disabled
    in an earlier merge from debian. This allows dh-apparmor to create
    the postinst for the akonadi-backend-mysql package, which creates
    the missing part of that package's apparmor profile at install time
    (LP: #1440501)

 -- Steve Beattie <sbeattie@ubuntu.com>  Wed, 15 Apr 2015 10:48:33 -0700

akonadi (1.13.0-2ubuntu3) vivid; urgency=medium

  * Still prefer mysql 5.6, but allow any mysql implementation that provides
    virtual-mysql-server-core and virtual-mysql-client-core
    (LP: #1336005)
  * Force dependency on akonadi-backend-mysql for akonadi-server.
    (was accidentally dropped in the last debian merge)

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 15 Apr 2015 16:57:20 +0200

akonadi (1.13.0-2ubuntu2) vivid; urgency=medium

  * Allow using mariadb 10.0 as backend for akonadi-backend-mysql
    (LP: #1441119)

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 09 Apr 2015 18:25:44 +0200

akonadi (1.13.0-2ubuntu1) vivid; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - Add a mysqld-akonadi wrapper script.
    - Add apparmor profile for mysqld-akonadi (usr.sbin.mysqld-akonadi).
    - Make akonadi-backend-mysql depend on mysql-server-core-5.5 and
      mysql-client-core-5.5 or *5.6 instead of mysql-server-core.
    - Force dependency on akonadi-backend-mysql for akonadi-server.
    - Keep debian/libakonadiprotocolinternals1.symbols from Ubuntu
    - Add Kubuntu to the maintainers as we are moving to debian git.

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 31 Oct 2014 14:50:27 +0000

akonadi (1.13.0-2) unstable; urgency=medium

  [ Pino Toscano ]
  * Bump the priority of all the binaries, except akonadi-dbg, to optional
    (as other packages depend on them).

  [ Maximiliano Curia ]
  * New upstream patch: upstream-fix_typo_in_if_condition
  * New upstream patch: upstream-
    fix_buffer_overflow_in_AKTEST_FAKESERVER_MAIN
  * New upstream patch: upstream-
    do_not_crash_when_setmntent_returns_NULL
  * Update symbols files from buildds logs (1.13.0-1).
  * New upstream patch: upstream_dont_call_insert_from_Q_ASSERT
  * libakonadi-dev: Add libqt4-dev Dependency.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 19 Sep 2014 11:04:57 +0200

akonadi (1.13.0-1) unstable; urgency=medium

  * New upstream release.
  * Remove upstream patches.
  * Update symbols file.
  * Add missing breaks for kdepim-runtime << 4:4.13. (Closes: #749776)

 -- Maximiliano Curia <maxy@debian.org>  Tue, 19 Aug 2014 21:01:28 +0200

akonadi (1.12.91-0ubuntu1) utopic; urgency=medium

  * New upstream release needed for KDE 4.13.90 beta 2
  * Remove patches applied upstream.
  * Update symbols with batchpatch.

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Fri, 18 Jul 2014 15:38:49 -0700

akonadi (1.12.1-1ubuntu3) utopic; urgency=medium

  * Allow using mysql 5.6 as DB for akonadi-backend-mysql (LP: #1330180)

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 18 Jun 2014 14:14:01 +0200

akonadi (1.12.1-1ubuntu2) utopic; urgency=medium

  * Add upstream_1.12.1-invalid-gid.diff from upstream to fix broken upgrade
   - LP: #1318718
   - https://bugs.kde.org/331867

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 12 May 2014 16:37:03 +0100

akonadi (1.12.1-1ubuntu1) utopic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Add a mysqld-akonadi wrapper script.
    - Add apparmor profile for mysqld-akonadi (usr.sbin.mysqld-akonadi).
    - Make akonadi-backend-mysql depend on mysql-server-core-5.5 and
      mysql-client-core-5.5 instead of mysql-server-core.
    - Force dependency on akonadi-backend-mysql for akonadi-server.
    - Keep debian/libakonadiprotocolinternals1.symbols from Ubuntu

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 08 May 2014 15:08:19 +0200

akonadi (1.12.1-1) unstable; urgency=medium

  * New upstream release.
  * Update symbols for 1.12.0 version.
  * New upstream patch: upstream_1.12-Use-per-thread-
    QDBusConnections.patch
  * New upstream patch: upstream_1.12-Remove-the-invalid-GID-part-from-
    PartTable-before-st.patch
  * New upstream patch: upstream_1.12-Fix-retrieving-of-GID-from-SQL-
    query-result-in-Fetch.patch

 -- Maximiliano Curia <maxy@debian.org>  Tue, 06 May 2014 17:19:48 +0200

akonadi (1.12.1-0ubuntu2) utopic; urgency=high

  * No change rebuild against boost1.55.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Sat, 26 Apr 2014 23:20:45 +0100

akonadi (1.12.1-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release

 -- Harald Sitter <apachelogger@kubuntu.org>  Tue, 08 Apr 2014 10:30:38 +0200

akonadi (1.12.0-1) experimental; urgency=medium

  * New upstream release.
  * Remove patch: dont_do_redundant_flag_changes.diff
  * Remove patch: always_verify_writing_data_to_external_file.diff
  * Remove patch: correctly_detect_inter-resource_moves.diff
  * Update install files.
  * Remove old abi information, update acc file.
  * Update symbols from 1.11.0.
  * Update symbols.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 01 Apr 2014 15:37:32 +0200

akonadi (1.12.0-0ubuntu1) trusty; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 28 Mar 2014 21:40:59 +0000

akonadi (1.11.90-0ubuntu1) trusty; urgency=medium

  * New upstream release (LP: #1296707)

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Mon, 24 Mar 2014 06:01:57 -0700

akonadi (1.11.80-0ubuntu3) trusty; urgency=medium

  * Support mariadb as alternate database for the mysql backend as it is
    also supported upstream said on IRC.
    LP: #1289840

 -- Harald Sitter <apachelogger@kubuntu.org>  Mon, 10 Mar 2014 23:09:34 +0100

akonadi (1.11.80-0ubuntu2) trusty; urgency=medium

  * Install missing files

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 10 Mar 2014 11:31:06 +0000

akonadi (1.11.80-0ubuntu1) trusty; urgency=medium

  * New upstream alpha release
  * Replace disable_dbus_requiring_tests.diff with starting dbus
    in debian/rules

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 05 Mar 2014 15:09:30 +0000

akonadi (1.11.0-1) unstable; urgency=low

  * New upstream release.
  * Update build dependencies.
  * Update subst var for akonadi-backend-mysql.
  * Bump Standards-Version to 3.9.5, no changes needed.
  * New upstream patch: dont_do_redundant_flag_changes.diff
  * New upstream patch: always_verify_writing_data_to_external_file.diff
  * Update symbols file.
  * Update install files.
  * New upstream patch: correctly_detect_inter-resource_moves.diff.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 08 Jan 2014 15:40:35 -0300

akonadi (1.11.0-0ubuntu1) trusty; urgency=medium

  * New upstream release 
  * Add new symbol to libakonadiprotocolinternals1.symbols

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 24 Dec 2013 11:07:42 +0100

akonadi (1.10.80-0ubuntu1) trusty; urgency=low

  * New upstream release
   - Update install files
   - Update disable_dbus_requiring_tests.diff

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 11 Nov 2013 17:38:58 +0100

akonadi (1.10.3-1) unstable; urgency=medium

  * New upstream release. (Closes: #729615, #716922)
  * Update build dependencies.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 20 Nov 2013 14:53:11 +0100

akonadi (1.10.3-0ubuntu2) trusty; urgency=low

  * No change rebuild for Boost 1.54 transition.

 -- Dmitrijs Ledkovs <xnox@ubuntu.com>  Mon, 21 Oct 2013 13:54:07 +0100

akonadi (1.10.3-0ubuntu1) saucy; urgency=low

  * New upstream bug fix release (LP: #1236394)

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 07 Oct 2013 16:39:34 +0200

akonadi (1.10.2-2) unstable; urgency=low

  * Rebuild for unstable release.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 05 Nov 2013 12:54:23 +0100

akonadi (1.10.2-1) experimental; urgency=low

  * Update vcs-fields.
  * Refresh patch disable_dbus_requiring_tests.
  * Update installed files.
  * Update libakonadiprotocolinternals1 symbols file.
  * Add empty dir in -dev package, to make AkonadiConfig.cmake happy.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 30 Aug 2013 12:42:10 +0200

akonadi (1.10.2-0ubuntu2) saucy; urgency=low

  * Set INSTALL_QSQLITE_IN_QT_PREFIX=TRUE so the sqlite3 driver is installed
    in a place where qt4 can find it (LP: #1218820)

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 18 Sep 2013 22:54:09 +0200

akonadi (1.10.2-0ubuntu1) saucy; urgency=low

  * New upstream bugfix release (LP: #1218847)

 -- Howard Chan <smartboyhw@gmail.com>  Fri, 30 Aug 2013 19:18:01 +0800

akonadi (1.10.1-0ubuntu1) saucy; urgency=low

  * New upstream release 

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 23 Jul 2013 19:16:46 +0200

akonadi (1.9.80-0ubuntu1) saucy; urgency=low

  [ Rohan Garg ]
  * New upstream release
    - Update symbols
    - Install asapcat with akonadi-server for now
    - Install notificationmessagev2_p.h with -dev package
    - Refresh disable_dbus_requiring_tests.diff

  [ Philip Muškovac ]
  * libkonadi-dev needs to depend on akonadi-server for the dbus service 

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 13 Jun 2013 08:46:15 +0100

akonadi (1.9.2-2) unstable; urgency=low

  * Team upload.
  * Force the installation of the Qt plugins (such as qsqlite3) within Qt's
    plugin directory: (Closes: #708007)
    - pass -DINSTALL_QSQLITE_IN_QT_PREFIX=ON to cmake
    - adjust akonadi-backend-sqlite.install
    - add ${misc:Pre-Depends} in akonadi-backend-sqlite

 -- Pino Toscano <pino@debian.org>  Fri, 17 May 2013 15:39:30 +0200

akonadi (1.9.2-1) unstable; urgency=low

  * New upstream release.
  * Bump debhelper build-dep and compat to 9.
  * Add myself to the Uploaders field.
  * Bump Standards-Version to 3.9.4.

 -- Maximiliano Curia <maxy@debian.org>  Sat, 11 May 2013 00:57:28 +0200

akonadi (1.9.1-2ubuntu1) saucy; urgency=low

  * Merge with debian experimental, remaining changes: 
    - Add a mysqld-akonadi wrapper script.
    - Add apparmor profile for mysqld-akonadi (usr.sbin.mysqld-akonadi).
    - Make akonadi-backend-mysql depend on mysql-server-core-5.5 and
      mysql-client-core-5.5 instead of mysql-server-core.
    - Force dependency on akonadi-backend-mysql for akonadi-server.

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 30 Apr 2013 22:39:32 +0200

akonadi (1.9.1-2) experimental; urgency=low

  * Merge in the uploads to unstable.

 -- Sune Vuorela <sune@debian.org>  Tue, 02 Apr 2013 22:52:29 +0200

akonadi (1.9.1-1) experimental; urgency=low

  * New upstream release.

  [ José Manuel Santamaría Lema ]
  * Update disable_dbus_requiring_tests.diff; some tests were added and
    some of them need D-Bus.
  * Update installed files.

  [ Sune Vuorela ]
  * Add mysql-server-core to Build-Depends so it can be used by the test suite

 -- Sune Vuorela <sune@debian.org>  Mon, 25 Mar 2013 17:00:16 +0100

akonadi (1.9.1-0ubuntu2) saucy; urgency=low

  * No change rebuild for Boost 1.53 transition.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Fri, 26 Apr 2013 19:18:39 +0100

akonadi (1.9.1-0ubuntu1) raring; urgency=low

  * New upstream bugfix release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 04 Apr 2013 22:49:18 +0100

akonadi (1.9.0-0ubuntu1) raring; urgency=low

  * New upstream release

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 03 Jan 2013 21:11:34 +0100

akonadi (1.8.80-0ubuntu1) raring; urgency=low

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 16 Nov 2012 15:16:10 +0000

akonadi (1.8.1-0ubuntu1) raring; urgency=low

  * New upstream release

 -- Scott Kitterman <scott@kitterman.com>  Sat, 03 Nov 2012 23:00:43 -0400

akonadi (1.8.0-0ubuntu1) quantal; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 26 Jul 2012 16:04:21 +0100

akonadi (1.7.90-0ubuntu1) quantal; urgency=low

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 09 Jul 2012 12:09:55 +0100

akonadi (1.7.2-3) unstable; urgency=low

  * Team upload.
  * akonadi-backend-mysql: depend on a real mysql-server-core-5.5 before the
    virtual mysql-server-core. This should help apt in really choosing -mysql
    when upgrading from squeeze. (Closes: #686147, #702919)

 -- Pino Toscano <pino@debian.org>  Tue, 26 Mar 2013 20:02:38 +0100

akonadi (1.7.2-2) unstable; urgency=low

  * Team upload.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Change [General] to [%General] in README.Debian (Closes: #688236).
    Thanks Alexander Wuerstlein for noticing.

 -- Pino Toscano <pino@debian.org>  Wed, 05 Dec 2012 11:07:57 +0100

akonadi (1.7.2-1ubuntu1) quantal; urgency=low

  * Merge with Debian, remaining changes:
    - Add a mysqld-akonadi wrapper script.
    - Add apparmor profile for mysqld-akonadi (usr.sbin.mysqld-akonadi).
    - Make akonadi-backend-mysql depend on mysql-server-core-5.5 and
      mysql-client-core-5.5 instead of mysql-server-core.
    - Force dependency on akonadi-backend-mysql for akonadi-server.

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Thu, 24 May 2012 19:27:56 -0400

akonadi (1.7.2-1) unstable; urgency=low

  * New upstream release.
  * Drop x11_not_required.diff, no longer needed as internal FindQt4 was
    dropped.
  * Disable tests which require an active DBus daemon. It is not available on
    buildds (patch disable_dbus_requiring_tests.diff).
  * Bump Standards-Version to 3.9.3: no changes needed.

 -- Modestas Vainius <modax@debian.org>  Sat, 12 May 2012 23:41:01 +0300

akonadi (1.7.2-0ubuntu2) quantal; urgency=low

  * No change rebuild for boost 1.49 transition

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Thu, 03 May 2012 20:28:00 +0100

akonadi (1.7.2-0ubuntu1) precise; urgency=low

  * New upstream release 

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 10 Apr 2012 21:52:32 +0200

akonadi (1.7.0-0ubuntu3) precise; urgency=low

  * make akonadi-server require the mysql backend. It's the only one really
    supported upstream and as the default backend has to be installed.
    (LP: #923189)

 -- Philip Muškovac <yofel@kubuntu.org>  Mon, 09 Apr 2012 18:49:42 +0200

akonadi (1.7.0-0ubuntu2) precise; urgency=low

  * Add build-dep on dh-apparmor (LP: #948481)

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 08 Mar 2012 22:22:17 +0100

akonadi (1.6.2-2) unstable; urgency=low

  * Team upload. Upload to unstable.

  [ Sune Vuorela ]
  * Kill the odbc package. It won't currently work.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Mon, 05 Mar 2012 10:09:22 +0100

akonadi (1.7.0-0ubuntu1) precise; urgency=low

  * New upstream release
  * Remove x11_not_required.diff, file no longer shipped
  * Disable test suite in debian/rules, it requires dbus

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 24 Jan 2012 23:43:13 +0000

akonadi (1.6.2-1ubuntu1) precise; urgency=low

  * Merge from Debian experimental, remaining changes:
    - Add a mysqld-akonadi wrapper script.
    - Add apparmor profile for mysqld-akonadi (usr.sbin.mysqld-akonadi).
    - Make akonadi-backend-mysql depend on mysql-server-core-5.5 and
      mysql-client-core-5.5 instead of mysql-server-core.
    - Bump Breaks/Replaces akonadi-sever version to "<< 1.5.3~".

 -- Felix Geyer <debfx@ubuntu.com>  Sun, 04 Dec 2011 21:06:19 +0100

akonadi (1.6.2-1) experimental; urgency=low

  * New upstream release.

  [ Felix Geyer ]
  * Add a watch file.
  * Use DEB_*_MAINT_APPEND instead of setting CFLAGS/CXXFLAGS.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Thu, 01 Dec 2011 17:18:06 +0100

akonadi (1.6.2-0ubuntu3) precise; urgency=low

  * Change dependency on client/server to 5.5

 -- Clint Byrum <clint@ubuntu.com>  Sun, 27 Nov 2011 01:49:35 -0800

akonadi (1.6.2-0ubuntu2) precise; urgency=low

  * Rebuild for libmysqlclient transition

 -- Clint Byrum <clint@ubuntu.com>  Wed, 23 Nov 2011 23:49:27 -0800

akonadi (1.6.2-0ubuntu1) oneiric; urgency=low

  * New upstream bugfix release

 -- Scott Kitterman <scott@kitterman.com>  Tue, 04 Oct 2011 16:43:57 -0500

akonadi (1.6.1+git110927-0ubuntu1) oneiric; urgency=low

  * Update to 1.6 branch snapshot for additional bug fixes

 -- Scott Kitterman <scott@kitterman.com>  Fri, 30 Sep 2011 06:45:45 -0400

akonadi (1.6.1-0ubuntu1) oneiric; urgency=low

  * New upstream bug fix release (LP: #707878)

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 16 Sep 2011 16:09:18 +0200

akonadi (1.6.0-0ubuntu2) oneiric; urgency=low

  * No change rebuild due to multi-arch changes in qt4-x11

 -- Scott Kitterman <scott@kitterman.com>  Thu, 18 Aug 2011 10:38:30 -0400

akonadi (1.6.0-0ubuntu1) oneiric; urgency=low

  * New upstream release 

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 16 Jul 2011 16:41:20 +0200

akonadi (1.5.80-0ubuntu1) oneiric; urgency=low

  * New upstrem beta release 
    - bump debhelper version to fix lintian warning
    - refresh libakonadiprotocolinternals1.symbols

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 07 Jul 2011 22:25:38 +0200

akonadi (1.5.3-2ubuntu1) oneiric; urgency=low

  * Change Vcs-* from kubuntu-members to kubuntu-packagers
  * Merge from debian unstable.  Remaining changes:
    - Use versioned boost build-depends
    - Add a mysqld-akonadi wrapper script
    - Add apparmor profile for mysqld-akonadi (usr.sbin.mysqld-akonadi)
    - Make akonadi-backend-mysql depend on mysql-server-core-5.1 and
      mysql-client-core-5.1 instead of mysql-server-core
    - Bump Breaks/Replaces akonadi-sever version to "<< 1.5.3~"

 -- Scott Kitterman <scott@kitterman.com>  Fri, 27 May 2011 23:06:47 -0400

akonadi (1.5.3-2) unstable; urgency=low

  [ Pino Toscano ]
  * Fix typo in README.Debian. (Closes: #627826)

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Thu, 26 May 2011 00:22:36 +0300

akonadi (1.5.3-1ubuntu1) oneiric; urgency=low

  * Merge from Debian experimental, remaining changes:
    - Use versioned boost build-depends.
    - Add a mysqld-akonadi wrapper script.
    - Add apparmor profile for mysqld-akonadi (usr.sbin.mysqld-akonadi).
    - Make akonadi-backend-mysql depend on mysql-server-core-5.1 and
      mysql-client-core-5.1 instead of mysql-server-core.
    - Bump Breaks/Replaces akonadi-sever version to "<< 1.5.3~".

 -- Felix Geyer <debfx-pkg@fobos.de>  Tue, 24 May 2011 21:04:40 +0200

akonadi (1.5.3-1) experimental; urgency=low

  * New upstream release.

 -- Modestas Vainius <modax@debian.org>  Mon, 09 May 2011 00:50:11 +0300

akonadi (1.5.2-0ubuntu1) natty; urgency=low

  * New upstream release.
    - Fixes warnings about duplicated agent identifiers. (LP: #740488)

 -- Felix Geyer <debfx-pkg@fobos.de>  Tue, 05 Apr 2011 17:29:48 +0200

akonadi (1.5.1-2) experimental; urgency=low

  * Replace $(overriden_command) with $(overridden_command) in debian/rules.
    Requires pkg-kde-tools 0.12.
  * Bump Standards-Version to 3.9.2: no changes needed.
  * Merge 1.3.1-4 changes:
    - Drop 04_socket_location.diff patch, merged upstream.
  * Build with -fvisibility=hidden -fvisibility-inlines-hidden.
  * Update symbol file: private symbols disappeared after building with hidden
    visibility.

 -- Modestas Vainius <modax@debian.org>  Mon, 02 May 2011 01:40:34 +0300

akonadi (1.5.1-1) experimental; urgency=low

  * New upstream release.

  [ Modestas Vainius ]
  * Point debian/control Vcs fields to the new Git repository.
  * Add libsqlite3-dev to build depends. This build has support for SQLite
    backend.
  * Drop 03_disable_usr_lib_install_rpath.diff patch, no longer needed as
    the problem was fixed upstream differently.
  * Add new packages for multiple backend split:
    - akonadi-backend-mysql - a package which depends on the stuff needed for
      MySQL backend (server and Qt module) and installs a configuration file
      previously present in akonadi-server;
    - akonadi-backend-postgresql - a package which depends on the stuff needed
      for PostgreSQL backend. Even if default configuration starts an internal
      PostgreSQL server instance, add postgresql package to Recommends because
      the latter package enables the daemon system-wide. PostgreSQL needs to be
      split to the -core part as MySQL was;
    - akonadi-backend-odbc - a package which depends on the stuff needed to
      enable Akonadi ODBC backend. It's primarily intended to be used with a
      local Virtuoso instance that's started by Nepomuk;
    - akonadi-backend-sqlite - a package with improved SQLite driver that is
      needed for Akonadi SQLite backend;
  * Make akonadi-server on both backends with | relation preferring MySQL for
    now. Also suggest both backends.
  * Move akonadi-dbg to the end of debian/control.
  * Update install files.
  * Add README.Debian with extensive information about Akonadi configuration
    files and storage backends.
  * Bump build dependency to libqt4-dev 4:4.6.0. SQLite backend needs it.
  * Drop Replaces from libakonadi-dev for very old pre-4.1 KDE versions.
  * Switch to quilt 3.0 format:
    - add appropriate debian/source/format;
    - remove quilt from Build-Depends;
    - remove debian/README.source, no longer necessary.
  * Bump Standards-Version to 3.9.1: add Breaks next to Replaces where needed
    or replace Conflicts with Breaks respectively,
  * Improve passing of MYSQLD_EXECUTABLE flag to cmake.
  * Drop 02_hardcode_debian_mysqld_path.diff, not needed any more.
  * Drop obsolete (pre-KDE 4.1) Breaks.
  * Switch debian/rules engine to qt-kde-team/2/*. Fix FTBFS in the process.
    (Closes: #618200)
  * Strip sequence numbers from debian/patches/*.
  * Install README.Debian to akonadi-server and all backend packages.
  * Install README.sqlite to akonadi-backend-sqlite.
  * Drop ${shlibs:Depends} from libakonadi-dev Depends.
  * Update debian/copyright.

  [ José Manuel Santamaría Lema ]
  * Rename libakonadiprivate1 as libakonadiprotocolinternals1 
    (libakonadiprivate.so.1* doesn't exist anymore) and create symbols file.

 -- Modestas Vainius <modax@debian.org>  Sun, 13 Mar 2011 22:25:05 +0200

akonadi (1.5.1-0ubuntu1) natty; urgency=low

  * New upstream release. (LP: #739424)
  * Drop 03_disable_usr_lib_install_rpath.diff, fixed upstream.
  * Call dh_apparmor instead of providing our own postinst/postrm scripts to
    reload the AppArmor profile.

 -- Felix Geyer <debfx-pkg@fobos.de>  Tue, 22 Mar 2011 18:40:35 +0100

akonadi (1.5.0-0ubuntu2) natty; urgency=low

  * Use a wrapper script instead of copying mysqld to mysqld-akonadi.
    (LP: #728584)
    - Update the AppArmor profile accordingly.
    - Drop mysql-server-core-5.1 from build-deps.

 -- Felix Geyer <debfx-pkg@fobos.de>  Thu, 03 Mar 2011 18:06:42 +0100

akonadi (1.5.0-0ubuntu1) natty; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 24 Jan 2011 09:48:32 +0000

akonadi (1.4.95-0ubuntu1) natty; urgency=low

  * New upstream release
    - Fix install files

 -- Rohan Garg <rohangarg@kubuntu.org>  Sun, 09 Jan 2011 16:19:52 +0530

akonadi (1.4.90-0ubuntu1) natty; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 21 Dec 2010 13:57:05 +0000

akonadi (1.4.80-0ubuntu2) natty; urgency=low

  * Give up on akonadi-agent-launcher and akonadi-agent-server binaries as a
    bad idea
    - Remove debian/akonadi-agent-launcher.install and
      debian/akonadi-agent-server.install
    - Move files to akonadi-server.install
    - Remove binaries from debian/control

 -- Scott Kitterman <scott@kitterman.com>  Tue, 23 Nov 2010 10:10:30 -0500

akonadi (1.4.80-0ubuntu1) natty; urgency=low

  * New upstream release to support KDE 4.6 beta 1 packaging
    - Add new binary packages for usr/bin/akonadi_agent_server and
      usr/bin/akonadi_agent_launcher
    - Add org.freedesktop.Akonadi.NotificationSource.xml to
      libakonadi-dev.install
    - Refresh patches
    - Update debian/copyright
  * Rename libakonadiprivate1 to libakonadiprotocolinternals1 since the
    private library has been removed and only protocolinternals remains
    - Update debian/control
    - Rename install file and drop remove shared objects
  * Drop implicit-it=thumb workaround as it will no longer be needed once
    armel is fixed

 -- Scott Kitterman <scott@kitterman.com>  Mon, 22 Nov 2010 09:32:48 -0500

akonadi (1.4.1-0ubuntu2) natty; urgency=low

  * Add CXXFLAGS += -Wa,-mimplicit-it=thumb on armel to fix FTBFS

 -- Scott Kitterman <scott@kitterman.com>  Mon, 01 Nov 2010 12:14:01 -0400

akonadi (1.4.1-0ubuntu1) natty; urgency=low

  * New upstream release

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Fri, 22 Oct 2010 19:14:31 +0200

akonadi (1.4.0-0ubuntu1) maverick; urgency=low

  * New upstream release.

 -- Harald Sitter <apachelogger@ubuntu.com>  Sun, 01 Aug 2010 12:29:08 +0200

akonadi (1.3.90-0ubuntu1) maverick; urgency=low

  * New upstream release
    - Bump debhelper to 7.3.16 or greater
    - Drop quilt from build-depends no longer need with source
      format 3.0 (quilt)

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Tue, 06 Jul 2010 02:34:57 +0200

akonadi (1.3.85-0ubuntu1) maverick; urgency=low

  * New upstream release
    - Update akonadi-server.install

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Sat, 05 Jun 2010 17:13:53 +0200

akonadi (1.3.80-0ubuntu1) maverick; urgency=low

  * New upstream release
    - Bump libqt4-dev and libsoprano-dev
    - Drop kubuntu_01_fix_init.diff no longer need
    - Update 03_disable_usr_lib_install_rpath.diff
    - Update akonadi-server.install
  * Switch to dpkg-source 3.0 (quilt) format
 
 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Wed, 26 May 2010 19:44:52 +0200

akonadi (1.3.1-4) unstable; urgency=low

  * Add patch 04_socket_location.diff to allow akonadi-server to run when HOME
    is mounted to the network filesystem (Closes: #545139). Thanks to Ansgar
    Burchardt for the patch.

 -- Modestas Vainius <modax@debian.org>  Sat, 30 Apr 2011 12:31:46 +0300

akonadi (1.3.1-3+squeeze1) stable-proposed-updates; urgency=low

  * Add patch 04_socket_location.diff to allow akonadi-server to run when HOME
    is mounted to the network filesystem (Closes: #545139). Thanks to Ansgar
    Burchardt for the patch.

 -- Modestas Vainius <modax@debian.org>  Sat, 30 Apr 2011 12:50:31 +0300

akonadi (1.3.1-3ubuntu1) maverick; urgency=low

  * Merge with Debian Unstable, remaining changes:
    - Build-depend on mysql-server-core-5.1
    - Use versioned boost build-depends
    - Copy mysqld to mysqld-akonadi (rules)
    - Make akonadi-server depend on mysql-server-core-5.1 rather than mysql-server
    - Add apparmor profile for mysqld-akonadi (usr.sbin.mysqld-akonadi)
    - Add pre and postinst scripts for akonadi-server
    - Keep kubuntu_01_fix_init.diff
    - Don't apply 02_hardcode_debian_mysqld_path.diff, we set it in our
      debian/rules file
  * Update KUBUNTU-DEBIAN-DIFFERENCES

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Mon, 17 May 2010 23:40:04 -0400

akonadi (1.3.1-3) unstable; urgency=low

  [ Didier Raboud ]
  * Make akonadi-mysql depend on mysql-server-core instead of mysql-server,
    thanks to the split made in mysql-5.1. (Closes: #513382)

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sun, 11 Apr 2010 01:46:38 +0300

akonadi (1.3.1-2) unstable; urgency=low

  [ Modestas Vainius ]
  * Bump libakonadiprivate1 shlibs with each new upstream release.
  * Generate strict local shlibs for libakonadiprivate1: use
    library-packages.mk from pkg-kde-tools 0.6.4.
  * Add ${misc:Depends} to akonadi-dbg Depends.
  * Add 03_disable_usr_lib_install_rpath.diff patch in order to get rid of
    /usr/lib RPATH.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 06 Mar 2010 01:51:56 +0200

akonadi (1.3.1-1) unstable; urgency=low

  * New upstream release.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * New upstream release.
  * Refresh patches to apply cleanly:
    - 01_x11_not_required.diff
    - 02_hardcode_debian_mysqld_path.diff
  * Fix the list of dbus interfaces files installed by libakonadi-dev.

  [ Martin Alfke ]
  * Make libakonadiprivate1 depend on akonadi-server
    binary version (Closes: #544431)

  [ Ana Beatriz Guerrero Lopez ]
  * Remove myself from Uploaders.
  * Update year on packaging copyright.

  [ Modestas Vainius ]
  * Change my email address to modax@debian.org in Uploaders field.
  * Fix Vcs-Browser URL.

  [ Fathi Boudra ]
  * Bump Standards-Version to 3.8.4 (no changes needed).

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 30 Jan 2010 22:09:48 -0300

akonadi (1.3.1-0ubuntu3) lucid; urgency=low

  * Set VCS fields to Bazaar branches
  * Sync kubuntu_01_fix_init.diff with upstream SVN as per KDE bug 185395.
    + akonadi-server depends on mysql-server-core-5.1 (>= 5.1.41-3ubuntu11)
    + akonadi-server depends on mysql-client-core-5.1 (>= 5.1.41-3ubuntu12)
  * Expand apparmor profile to silence apparmor complaints in syslog,
    additonally this seems to fix LP: #554514

 -- Harald Sitter <apachelogger@ubuntu.com>  Mon, 12 Apr 2010 17:13:38 +0200

akonadi (1.3.1-0ubuntu2) lucid; urgency=low

  * Add kubuntu_01_fix_init.diff in a mere attemt to fix akonadi startup. This
    depends on a fixed verison of mysql (5.1.41-3ubuntu10) (LP: #448705)
    + Unlike upstream this uses the --force cmdl argument to also work without
      resolveip, an executable that is currently shipped in the main server
      package.

 -- Harald Sitter <apachelogger@ubuntu.com>  Wed, 31 Mar 2010 22:08:13 +0200

akonadi (1.3.1-0ubuntu1) lucid; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 09 Feb 2010 21:11:37 +0000

akonadi (1.3.0-0ubuntu1) lucid; urgency=low

  * New upstream release

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Wed, 20 Jan 2010 10:27:54 +0100

akonadi (1.2.80-0ubuntu1) lucid; urgency=low

  * New upstream release
    - Refresh 01_x11_not_required.diff
    - Refresh 02_hardcode_debian_notmysqld_path.diff
    - Remove kubuntu_01_imap_line_endings.diff fixed by upstream
    - Update libakonadi-dev.install
    - Bump libboost to 1.40

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Wed, 02 Dec 2009 03:12:37 +0100

akonadi (1.2.1-1ubuntu3) lucid; urgency=low

  * Add missing epoch to Qt build-depends version

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 25 Nov 2009 13:46:57 +0000

akonadi (1.2.1-1ubuntu2) lucid; urgency=low

  * Rebuild against Qt 4.6 rc 1, which is binary incompatible with 4.6
    beta

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 24 Nov 2009 08:59:50 +0000

akonadi (1.2.1-1ubuntu1) lucid; urgency=low

  * Merge with Debian testing, remaining changes:
    - Build-depend on mysql-server-core-5.1
    - Copy mysqld to mysqld-akonadi (rules)
    - Make akonadi-server depend on mysql-server-core-5.1 rather than mysql-server
    - Add apparmor profile for mysqld-akonadi (usr.sbin.mysqld-akonadi)
    - Add pre and postinst scripts for akonadi-server
    - Keep kubuntu_01_imap_line_endings.diff

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Sat, 07 Nov 2009 17:52:46 -0500

akonadi (1.2.1-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.8.3 (no changes needed).

 -- Fathi Boudra <fabo@debian.org>  Sat, 29 Aug 2009 12:00:51 +0200

akonadi (1.2.1-0ubuntu4) karmic; urgency=low

  * Revert previous upload (LP: #418342). Apparently Akonadi
    does not like being used with MySQL 5.0. This is probably
    because both Qt and Akonadi are built against 5.1, and the 
    5.1 libraries are apparently unable to access a 5.0 server
    part. (LP: #459741)

 -- Harald Sitter <apachelogger@ubuntu.com>  Mon, 26 Oct 2009 11:11:44 +0100

akonadi (1.2.1-0ubuntu3) karmic; urgency=low

  * Don't depend on mysql-server-core-5.1 but mysql-server-core
    which is provided by both 5.0 and 5.1 (LP: #418342)

 -- Harald Sitter <apachelogger@ubuntu.com>  Thu, 22 Oct 2009 21:10:28 +0200

akonadi (1.2.1-0ubuntu2) karmic; urgency=low

  * Add kubuntu_01_imap_line_endings.diff from
    http://websvn.kde.org:80/trunk/kdesupport/akonadi/server/src/handler
    /fetchhelper.cpp?r1=1032262&r2=1032261&pathrev=1032262 as advised by
    upstream, 'Follow a literal size with CRLF as specified in the IMAP
    RFC 3501'

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 08 Oct 2009 15:49:57 +0100

akonadi (1.2.1-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.8.3 (no changes needed).

 -- Fathi Boudra <fabo@debian.org>  Sat, 29 Aug 2009 12:00:51 +0200

akonadi (1.2.1-0ubuntu1) karmic; urgency=low

  * New upstream release

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Fri, 28 Aug 2009 18:43:17 +0200

akonadi (1.2.0-2ubuntu3) karmic; urgency=low

  * Make akonadi-server depend on mysql-server-core-5.1 rather than the whole
    mysql-server package
  * Update KUBUNTU-DEBIAN-DIFFERENCES to reflect the above so that this does
    not happen again in the future

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Thu, 20 Aug 2009 12:29:59 -0400

akonadi (1.2.0-2ubuntu2) karmic; urgency=low

  * Copy rather than hard link mysql

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 20 Aug 2009 01:05:58 +0100

akonadi (1.2.0-2ubuntu1) karmic; urgency=low

  * Merge from Debian Unstable, remaining changes:
    + Build-depend on mysql-server-core-5.1
    + Hardlink mysqld to mysqld-akonadi (rules)
    + Add apparmor profile for mysqld-akonadi (usr.sbin.mysqld-akonadi)
    + Add pre and postinst scripts for akonadi-server
  * Transition over to MySQL 5.1, as part of the merge above (LP: #415191)

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Wed, 19 Aug 2009 08:57:48 -0400

akonadi (1.2.0-2) unstable; urgency=low

  +++ Changes by Modestas Vainius:

  * Build depend on libmysqlclient-dev rather than libmysqlclient15-dev.
    Backports friendly as libmysqlclient-dev is a virtual package in lenny.
    (Closes: #541024).

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Tue, 11 Aug 2009 12:58:10 +0300

akonadi (1.2.0-1) unstable; urgency=low

  * New upstream release.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Tue, 04 Aug 2009 09:07:49 +0200

akonadi (1.2.0-0ubuntu1) karmic; urgency=low

  * New upstream release:
    - bump akonadi version in debian/rules
    - bump pkg-kde-tools to 0.4.6
    - bump libsoprano-dev to 2.3.0
    - bump cdbs to 0.4.56

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Wed, 29 Jul 2009 19:52:18 +0200

akonadi (1.1.95-2) experimental; urgency=low

  * Make akonadi-dev depend on boost-dev, as several akonadi headers includes
    boost headers.

 -- Sune Vuorela <debian@pusling.com>  Sat, 11 Jul 2009 23:51:48 +0200

akonadi (1.1.95-1) experimental; urgency=low

  * New upstream prerelease.

  +++ Changes by George Kiagiadakis:

  * Refresh patches.
  * Update installed files.

  +++ Changes by Sune Vuorela:

  * Add lintian override for broken lintian checks in -dbg package
    dependencies.
  * Bump Standards-Version to 3.8.2. No changes needed.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Fri, 26 Jun 2009 19:25:36 +0300

akonadi (1.1.95-0ubuntu1) karmic; urgency=low

  * New upstream release
    - bump akonadi version in debian/rules
    - bump libboost-program-options1.35-dev to libboost-program-options1.38-dev

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Wed, 24 Jun 2009 05:14:31 +0200

akonadi (1.1.90-0ubuntu1) karmic; urgency=low

  * New upstream release:
    - bump akonadi versino in debian/rules
    - update libakonadi-dev.install
    - refresh 02_hardcode_debian_mysqld_path.diff

 -- Steve Stalcup <vorian@ubuntu.com>  Thu, 04 Jun 2009 09:47:55 -0400

akonadi (1.1.85-0ubuntu1) karmic; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 13 May 2009 09:45:47 +0000

akonadi (1.1.2-1ubuntu1) karmic; urgency=low

  * Merge from Debian unstable, remaining changes: (LP: #372700)
    + Add mysql-server-5.0 as build dependency
    + Add mysql-server-5.0 as dependency for akonadi-server
    + Hardlink mysqld to mysqld-akonadi (rules)
    + Add apparmor profile for mysqld-akonadi (usr.sbin.mysqld-akonadi)
    + Add pre and postinst scripts for akonadi-server 

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Wed, 06 May 2009 09:09:00 -0400

akonadi (1.1.2-1) unstable; urgency=low

  * New upstream release.

  +++ Changes by Modestas Vainius:

  * Point Debian Vcs URLs to pkg-kde/trunk (new location).

  +++ Changes by Fathi Boudra:

  * Bump Standards-Version to 3.8.1. No changes needed.
  * Update akonadi-dbg package section: debug.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Fri, 01 May 2009 14:00:31 +0200

akonadi (1.1.1-2ubuntu2) karmic; urgency=low

  * Add missing comma to build-depends, fixes FTBFS

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Tue, 28 Apr 2009 13:21:15 -0400

akonadi (1.1.1-2ubuntu1) karmic; urgency=low

  * Merge from Debian unstable, remaining changes: (LP: #367109)
    + Add mysql-server-5.0 as build dependency
    + Add mysql-server-5.0 as dependency for akonadi-server
    + Hardlink mysqld to mysqld-akonadi (rules)
    + Add apparmor profile for mysqld-akonadi (usr.sbin.mysqld-akonadi)
    + Add pre and postinst scripts for akonadi-server
  * Update KUBUNTU-DEBAIN-DIFFERENCES

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Sat, 25 Apr 2009 22:25:00 -0400

akonadi (1.1.1-2) unstable; urgency=low

  +++ Changes by Modestas Vainius:

  * Switch from internal debian/cdbs/kde.mk to pkg-kde-tools:
    - build depend on pkg-kde-tools 0.4;
    - remove debian/cdbs directory;
    - replace debian/cdbs/kde.mk with
      /usr/share/pkg-kde-tools/qt-kde-team/1/debian-qt-kde.mk in debian/rules.
  * Remove THIS_SHOULD_GO_TO_UNSTABLE from debian/rules.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Wed, 18 Feb 2009 23:19:08 +0100

akonadi (1.1.1-1) experimental; urgency=low

  * New upstream release.

  +++ Changes by Modestas Vainius:

  * Bump Standards-Version to 3.8.0: add README.source.
  * Build depend on libboost-program-options-dev.
  * Bump cmake build depend to 2.6.2.
  * Switch to new installgen format.
  * Update install files.
  * Bump shlibs.
  * Make akonadi-server depend on libqt4-sql-mysql.
  * Add 02_hardcode_debian_mysqld_path.diff patch to hardcode MySQLd
    path instread of depending on mysql-server at build time.
  * Bump debian/compat and debhelper build dependency to v7 (to get more
    sophisticated debian/tmp handling).

  +++ Changes by Ana Beatriz Guerrero Lopez:

  * Remove no longer needed lintian override.
  * Updating packaging copyright years.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 24 Jan 2009 13:37:05 +0100

akonadi (1.1.1-0ubuntu3) jaunty; urgency=low

  * Change build-deps to boost 1.35, LP: #297152

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 29 Jan 2009 12:13:53 +0000

akonadi (1.1.1-1) experimental; urgency=low

  * New upstream release.

  +++ Changes by Modestas Vainius:

  * Bump Standards-Version to 3.8.0: add README.source.
  * Build depend on libboost-program-options-dev.
  * Bump cmake build depend to 2.6.2.
  * Switch to new installgen format.
  * Update install files.
  * Bump shlibs.
  * Make akonadi-server depend on libqt4-sql-mysql.
  * Add 02_hardcode_debian_mysqld_path.diff patch to hardcode MySQLd
    path instread of depending on mysql-server at build time.
  * Bump debian/compat and debhelper build dependency to v7 (to get more
    sophisticated debian/tmp handling).

  +++ Changes by Ana Beatriz Guerrero Lopez:

  * Remove no longer needed lintian override.
  * Updating packaging copyright years.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 24 Jan 2009 13:37:05 +0100

akonadi (1.1.1-0ubuntu2) jaunty; urgency=low

  * akonadi-server depends on mysql-server-core-5.0 not
    mysql-server-5.0, full server not needed

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 22 Jan 2009 10:48:22 +0000

akonadi (1.1.1-0ubuntu1) jaunty; urgency=low

  * New upstream release
  * Changed build-dep on mysql-server-5.0 to mysql-server-core-5.0

 -- Steve Stalcup <vorian@ubuntu.com>  Wed, 21 Jan 2009 14:03:55 -0500

akonadi (1.1.0-0ubuntu1) jaunty; urgency=low

  * New upstream release
  * Add libboost-program-options-dev as build dependency (libboost-dev doesn't
    depend on it any longer)

 -- Harald Sitter <apachelogger@ubuntu.com>  Sat, 03 Jan 2009 17:45:48 +0100

akonadi (1.0.81-0ubuntu2) jaunty; urgency=low

  * Really change build dependency

 -- Harald Sitter <apachelogger@ubuntu.com>  Wed, 17 Dec 2008 16:19:19 +0100

akonadi (1.0.81-0ubuntu1) jaunty; urgency=low

  * New upstream release
  * Replace kdesdk-scripts build dependency with pkg-kde-tools (files got moved)

 -- Harald Sitter <apachelogger@ubuntu.com>  Wed, 17 Dec 2008 14:38:55 +0100

akonadi (1.0.80-0ubuntu1) jaunty; urgency=low

  * New upstream release
  * Use kde4.mk from cdbs rather than embedded debian/cdbs
    + Build depend on kdesdk-scripts for kde4.mk
  * Remove obsolete THIS_SHOULD_GO_TO_UNSTABLE=1 from debian/rules
  * Add new build dependency on libboost-dev

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Sun, 23 Nov 2008 12:33:35 +0100

akonadi (1.0.0-2ubuntu2) jaunty; urgency=low

  * Remove kubuntu_01_mysqldakonadi.diff,
    set -DMYSQLD_EXECUTABLE=/usr/sbin/mysqld-akonadi

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 05 Nov 2008 19:57:19 +0000

akonadi (1.0.0-2ubuntu1) jaunty; urgency=low

  * Merge with Debian, remaining changes:
   - Make akonadi-server depend on libqt4-sql-mysql
   - Add mysql-server-5.0 as build dependency
   - Add mysql-server-5.0 as dependency for akonadi-server
   - Add kubuntu_01_mysqldakonadi.diff ensuring that akonadiserver uses
     mysqld-akonadi instead of mysqld itself (to bypass apparmor)
   - Hardlink mysqld to mysqld-akonadi (rules)
   - Add apparmor profile for mysqld-akonadi (usr.sbin.mysqld-akonadi)
   - Add pre and postinst scripts for akonadi-server

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 05 Nov 2008 16:35:03 +0000

akonadi (1.0.0-2) unstable; urgency=low

  +++ Changes by Ana Beatriz Guerrero Lopez:

  * Make libakonadi-dev depend on libakonadiprivate1 instead of
    libakonadiprivate0.

  +++ Changes by Sune Vuorela:

  * Copyright file. Thanks Thomas.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Thu, 24 Jul 2008 16:35:45 +0200

akonadi (1.0.0-1) unstable; urgency=low

  * New upstream release.

  +++ Changes by Modestas Vainius:

  * Update debian/copyright: download URL and copyright/license check.
  * libakonadiprivate SONAME was changed to 1. Rename library package, update
    debian/libakonadiprivate* files, update control and rules.
  * Make akonadi-server depend on mysql-server.
  * libakonadiprivate suggests akonadi-server instead of Recommends.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Wed, 23 Jul 2008 20:27:52 +0300

akonadi (0.82.0-1) unstable; urgency=low

  * New upstream snapshot.
  * Protocol changed in akonadi, add appropriate conflicts.
  * Hardcode mysqld path in debian/rules.

 -- Sune Vuorela <debian@pusling.com>  Fri, 27 Jun 2008 19:30:34 +0200

akonadi (1.0.0-0ubuntu5) intrepid; urgency=low

  * Reprofile mysqld-akonadi (LP: #280404)

 -- Harald Sitter <apachelogger@ubuntu.com>  Thu, 09 Oct 2008 16:20:47 +0200

akonadi (1.0.0-0ubuntu4) intrepid; urgency=low

  * Fix duplicated variable in akonadiserver apparmor profile
    (LP: #271643)

 -- Steve Beattie <sbeattie@ubuntu.com>  Mon, 06 Oct 2008 20:53:43 -0700

akonadi (1.0.0-0ubuntu3) intrepid; urgency=low

  * Apparmor shouldn't hate akonadiserver when it tries to create directories
    (also add locking permissions in case it's necessary some day)
  * Make the Apparmor profile also work as root
  * Add postinst and postrm for akonadi-server, invoking an apparmor reload to
    get immediate access permissions for the daemon

 -- Harald Sitter <apachelogger@ubuntu.com>  Fri, 05 Sep 2008 16:44:44 +0200

akonadi (1.0.0-0ubuntu2) intrepid; urgency=low

  * Add akonadi-server dependency on libqt4-sql-mysql

 -- Harald Sitter <apachelogger@ubuntu.com>  Tue, 19 Aug 2008 00:05:05 +0200

akonadi (1.0.0-0ubuntu1) intrepid; urgency=low

  * New upstream release
  * libakonadiprivate0 -> libakonadiprivate1

 -- Harald Sitter <apachelogger@ubuntu.com>  Thu, 24 Jul 2008 02:21:18 +0200

akonadi (0.82.0-0ubuntu3) intrepid; urgency=low

  * libakonadiprivate0 suggests not recommends akonadi-server

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 18 Jul 2008 09:31:54 +0100

akonadi (0.82.0-0ubuntu2) intrepid; urgency=low

  * Add mysql-server-5.0 as build dependency
  * Add mysql-server-5.0 as dependency for akonadi-server
  * Add kubuntu_01_mysqldakonadi.diff ensuring that akonadiserver uses
    mysqld-akonadi instead of mysqld itself (to bypass apparmor)
  * Hardlink mysqld to mysqld-akonadi
  * Add apparmor profile for mysqld-akonadi
  * Bump Standards-Version to 3.8.0

 -- Harald Sitter <apachelogger@ubuntu.com>  Thu, 26 Jun 2008 14:48:49 +0200

akonadi (0.82.0-0ubuntu1) intrepid; urgency=low

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 19 Jun 2008 14:03:43 +0000

akonadi (0.81.0-1) experimental; urgency=low

  * New upstream snapshot.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Thu, 22 May 2008 11:22:26 +0200

akonadi (0.80.0+svn807399-1) experimental; urgency=low

  * New upstream development snapshot:
    - The latest upstream commit is r807399 by qbast
    - Date: Tue May 13 19:03:19 2008 UTC

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Fri, 16 May 2008 12:23:43 +0200

akonadi (0.80.0+svn804999-1) experimental; urgency=low

  * New upstream development snapshot:
    - The latest upstream commit is r804999 by mlaurent
    - Date: Wed May 7 10:59:48 2008 UTC

  +++ Changes by Modestas Vainius:

  * Corrections to *.install files:
    - libakonadi-dev.install: 12 new file(s) added; 12 file(s) removed;
    - akonadi-server.install: 1 new file(s) added; 1 file(s) removed;

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Mon, 05 May 2008 21:13:37 +0300

akonadi (0.80.0+svn802602-1) experimental; urgency=low

  * New upstream development snapshot:
    - The latest upstream commit is r802602 by toma
    - Date: Wed, 30 Apr 2008 08:45:32 -0000

  +++ Changes by Sune Vuorela

  * Update debian/copyright.

  +++ Changes by Modestas Vainius:

  * Build depend on automoc.
  * Add akonadi.pc, suggest pkg-config.

  +++ Changes by Armin Berres:

  * Add replaces to libakonadi-dev, to make it possible to install it before
    upgrading kdepimlibs.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Wed, 30 Apr 2008 11:40:52 +0300

akonadi (0.80.0-1) experimental; urgency=low

  +++ Changes by Sune Vuorela:

  * Initial packaging.
  * Split from unuploaded kdepim.

  +++ Changes by Ana Beatriz Guerrero Lopez:

  * Rework descriptions and add Homepage field.

  +++ Changes by Modestas Vainius:

  * Patch FindQt4.cmake to make X11 optional.
  * Add myself to uploaders.
  * Add installgen files.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Fri, 25 Apr 2008 16:29:05 +0300

